@echo off
REM
REM    This file is part of  JUnitDoclet, a project to generate basic
REM    test cases  from source code and  helping to keep them in sync
REM    during refactoring.
REM
REM    Copyright (C) 2002  ObjectFab GmbH  (http://www.objectfab.de/)
REM
REM    This library is  free software; you can redistribute it and/or
REM    modify  it under the  terms of  the  GNU Lesser General Public
REM    License as published  by the  Free Software Foundation; either
REM    version 2.1  of the  License, or  (at your option)  any  later
REM    version.
REM
REM    This library is distributed in the hope that it will be useful,
REM    but WITHOUT ANY WARRANTY; without even the implied warranty of
REM    MERCHANTABILITY or  FITNESS FOR A PARTICULAR PURPOSE.  See the
REM    GNU Lesser General Public License for more details.
REM
REM    You  should  have  received a  copy of the  GNU Lesser General
REM    Public License along with this  library; if not, write  to the
REM    Free  Software  Foundation, Inc.,  59 Temple Place,  Suite 330,
REM    Boston, MA  02111-1307  USA
REM


REM === make your custom settings here ===

set INSTALL_DIRECTORY=d:\bin

set PACKAGE_FILE_NAME=packages.txt
set DOCLET_CLASS_NAME=com.objectfab.tools.junitdoclet.JUnitDoclet
set LISTER_CLASS_NAME=org.junitdoclet.PackageLister

REM --- default settings, that can be overwritten by environment or command line ---
set DEFAULT_DOCLETPATH=%INSTALL_DIRECTORY%\JUnitDoclet.jar;%INSTALL_DIRECTORY%\packagelister.jar
set DEFAULT_CLASSPATH=.\build\classes;.\classes
set DEFAULT_SOURCE_PATH=.\src
set DEFAULT_OUTPUT_DIR=.\junit
set DEFAULT_EXTRA_PARAMS=-buildall
set DEFAULT_JAVA_HOME=c:\j2sdk1.4.1

REM === end of custom settings ===

REM --- decide wether to save or to restore ---
:decide
if "%1" == "restore" goto restore
if "%1" == "save"    goto save
echo wrong or missing parameter
goto eof

REM --- save settings ---
:save

set OLD_DOCLETPATH=%DOCLETPATH%
set OLD_CLASSPATH=%CLASSPATH%
set OLD_SOURCE_PATH=%SOURCE_PATH%
set OLD_OUTPUT_DIR=%OUTPUT_DIR%
set OLD_EXTRA_PARAMS=%EXTRA_PARAMS%
set OLD_JAVA_HOME=%JAVA_HOME%

REM --- set with default if not set in environment ---
if "%DOCLETPATH%"   == "" set DOCLETPATH=%DEFAULT_DOCLETPATH%
if "%CLASSPATH%"    == "" set CLASSPATH=%DEFAULT_CLASSPATH%
if "%SOURCE_PATH%"  == "" set SOURCE_PATH=%DEFAULT_SOURCE_PATH%
if "%OUTPUT_DIR%"   == "" set OUTPUT_DIR=%DEFAULT_OUTPUT_DIR%
if "%EXTRA_PARAMS%" == "" set EXTRA_PARAMS=%DEFAULT_EXTRA_PARAMS%
if "%JAVA_HOME%"    == "" set JAVA_HOME=%DEFAULT_JAVA_HOME%

goto eof

REM --- restore settings ---
:restore

set DOCLETPATH=%OLD_DOCLETPATH%
set CLASSPATH=%OLD_CLASSPATH%
set SOURCE_PATH=%OLD_SOURCE_PATH%
set OUTPUT_DIR=%OLD_OUTPUT_DIR%
set EXTRA_PARAMS=%OLD_EXTRA_PARAMS%
set JAVA_HOME=%OLD_JAVA_HOME%

set OLD_DOCLETPATH=
set OLD_CLASSPATH=
set OLD_SOURCE_PATH=
set OLD_OUTPUT_DIR=
set OLD_EXTRA_PARAMS=
set OLD_JAVA_HOME=

:eof
REM --- end of file ---

